var angular = require('angular');

require('../../toberead/modules');

var module = angular.module('flow.services');
module.factory('ToBeReadRemoteService', function($http) {
  var  service = {};

  service.saveYb = function(sendId, notion) {
    notion = notion || '';
    return $http.put('/toberead/yb/' + sendId, notion).then(function(response) {
      return response.statusText == 'OK';
    });
  };

  service.saveViewTime = function(sendId) {
    return $http.put('/toberead/viewtime/' + sendId, {
      timeout: 15000
    }).then(function(response) {
      return response.statusText == 'OK';
    });
  };

  service.transimt = function(userId, sendId, zfNotion, transimtUserIds, dispenseInfo, dispenseField) {
    var url = '/toberead/transmit/' + userId + '?sendId=' + sendId
      + '&zfNotion=' + zfNotion
      + '&userIds=' + transimtUserIds
      + '&dispenseInfo=' + dispenseInfo
      + '&dispenseField=' + dispenseField;
    return $http.post(url)
      .then(function(response) {
        return response.statusText == 'OK';
      });
  };

  return service;
});
