'use strict';

var angular = require('angular'),
  _ = require('jsUtil');
require('../modules');

var module = angular.module('info.filters');

 module.filter('moduleshowfilter', function(LinkerService) {
  return function(modules) {
    var currentUserId = LinkerService.currentUserId,
      _items = [];
    if(!modules || !currentUserId) { return modules;}
    for(var i = 0, len = modules.length; i < len; i++) {
      var module = modules[i];
      if(module && module.showToSomeOne) {
        _.each(module.showToSomeOne, function(one) {
          if(one === currentUserId) {
            _items.push(module);
          }
        });
      } else {
        _items.push(module);
      }
    }

    return _items;
  }
});
